Subject: Re: [net-next PATCH] net: phy: Validate PHY LED OPs presence before registering

From: Christian Marangi <[email-masked]>
Date: Fri, 4 Oct 2024 00:33:17 +0200

On Fri, Oct 04, 2024 at 01:24:00AM +0300, Vladimir Oltean wrote:
> On Fri, Oct 04, 2024 at 12:12:48AM +0200, Christian Marangi wrote:
> > Validate PHY LED OPs presence before registering and parsing them.
> > Defining LED nodes for a PHY driver that actually doesn't supports them
> > is wrong and should be reported.
> 
> What about the case where a PHY driver gets LED support in the future?
> Shouldn't the current kernel driver work with future device trees which
> define LEDs, and just ignore that node, rather than fail to probe?

Well this just skip leds node parse and return 0, so no fail to probe.
This just adds an error. Maybe I should use warn instead?

(The original idea was to return -EINVAL but it was suggested by Daniel
that this was too much and a print was much better)

-- 
	Ansuel